--------------------------------------------------------------------------------
-- AutoPetAttack ver.1.4 addon by SilverWF © Feb 23 2010
--------------------------------------------------------------------------------

--------------------------------------------------------------------------------
-- GLOBALS
--------------------------------------------------------------------------------

--------------------------------------------------------------------------------
-- EVENT HANDLERS
--------------------------------------------------------------------------------
-- Проверяем при входе в мир игрока, является ли он Некромантом или Друидом. Если да - то подключаем в работу остальной скрипт.
function ClassVerify ()
    local class = avatar.GetClass()
    if class == "NECROMANCER" or class == "DRUID" then
        common.RegisterEventHandler( PetAttack, "EVENT_ACTION_RESULT_SPECIAL_SPELL" )
    else return
    end
end

-- Проверяем, является спелл враждебным (т.е. тут как бы 2 проверки: спелл ли это вообще и не допустим ли он к использованию на друзей) и начат ли его каст. Если по обоим пунктам "да" - то отправляем пета в атаку
function PetAttack( params )
	if SlotVerify (params.spellId) and avatar.GetSpellInfo( params.spellId ).isHarmful and (params.sysId == "ENUM_ACTION_RESULT_SPECIAL_STARTED" or params.sysId == "ENUM_ACTION_RESULT_SPECIAL_LAUNCHED") then
			avatar.PetAttack()
	end
end

-- Тут функция прверки использованного скилла на наличие такого же скилла в слотах панели с 1 по 3. Панели можно задать вручную в операторе for. Цифры соответствуют номеру кнопки на панели (можно посмотреть в настройках управления.)
function SlotVerify (slotind)
    for i = 1, 3 do --Если нужна только одна кнопка атаки пета - удалите эту строку
        local slotskill = avatar.GetActionInfo( i-1 ) --Если нужна только одна кнопка атаки - вместо i-1 в скобках впишите желаемый номер кнопки панели минус 1, т.е. для 1 кнопки это будет 0, для 2 - 1, для 25 - 24 и т.п.
        if slotskill and avatar.GetSpellInfo(slotind).objectId == slotskill.id then
            return true
        end
    end --Если нужна только одна кнопка атаки пета - удалите эту строку
    return false
end


--------------------------------------------------------------------------------
-- INITIALIZATION
--------------------------------------------------------------------------------
function Init()
    common.RegisterEventHandler( ClassVerify, "EVENT_AVATAR_CREATED" ) 
end
--------------------------------------------------------------------------------
Init()
--------------------------------------------------------------------------------
